Jetpack Hosting Requirements

Ensuring a best-in-class WordPress experience

Supporting WordPress Hosts

These are the minimum requirements we expect the hosts we work with to meet, based on our experience working with millions of WordPress users.

The purpose behind these requirements is to ensure a great baseline WordPress experience for all users.

Requirements for Hosting Partners

  1. Jetpack must be included as part of your WordPress offering, included in all automated installs.
  2. No Jetpack features may be blacklisted, hidden, or otherwise made unavailable to users. No security blocks or other “walls” should prevent Jetpack from being connected and used to its fullest extent.
  3. Requests from WordPress.com through the XML-RPC interface may not be blocked.
  4. Users must have easy access to either the SFTP or SSH transmission method.
  5. Users’ sites must be able to make outbound HTTPS requests.
  6. Hosts may not block or obfuscate the use of 3rd party free SSL certificates. While it is not required, we prefer that hosts make free SSL certificates available to users.
  7. All new offerings to users must be built on PHP 5.6 or greater, and MySQL 5.5 or greater.
  8. No WordPress plugins or themes should be auto-installed or promoted to users that have known and unaddressed security issues. A list of known WordPress security issues can be found on the Exploit Database.
  9. Users must have access to a customer service agent or team, whether by phone, email, or live chat. Jetpack staff must have direct access to a customer service representative.
  10. Your hosting must perform reasonably fast, even under times of high demand, and score highly in a performance test conducted by Jetpack staff.